package cn.com.tenlion.bigdata.pojo.vos.bigdatamodule;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: BigdataModuleVO
 * @Description: 大数据展示模块
 * @Author: WenG
 * @Date: 2020-10-19 16:18
 * @Version: 1.0
 **/
@ApiModel
public class BigdataModuleVO {

    @ApiModelProperty(name = "bigdataModuleCode", value = "模块编码")
    @CheckEmptyAnnotation(name = "模块编码")
    private String bigdataModuleCode;
    @ApiModelProperty(name = "bigdataModulePhoto", value = "模块预览图")
    @CheckEmptyAnnotation(name = "模块预览图")
    private String bigdataModulePhoto;
    @ApiModelProperty(name = "bigdataModuleName", value = "模块名称")
    @CheckEmptyAnnotation(name = "模块名称")
    private String bigdataModuleName;
    @ApiModelProperty(name = "bigdataModuleType", value = "模块类型")
    @CheckEmptyAnnotation(name = "模块类型")
    private String bigdataModuleType;
    @ApiModelProperty(name = "bigdataModuleSwitch", value = "模块开关")
    private String bigdataModuleSwitch;
    @ApiModelProperty(name = "bigdataModuleContent", value = "模块代码内容")
    private String bigdataModuleContent;
    @ApiModelProperty(name = "bigdataModuleRemark", value = "模块使用说明")
    private String bigdataModuleRemark;
    @ApiModelProperty(name = "bigdataModuleModuleJson", value = "模块数据说明")
    private String bigdataModuleModuleJson;
    @ApiModelProperty(name = "bigdataModuleServerJson", value = "自定义数据说明")
    private String bigdataModuleServerJson;
    @ApiModelProperty(name = "bigdataModuleLink", value = "联动开关")
    @CheckEmptyAnnotation(name = "联动开关")
    private String bigdataModuleLink;

    public String getBigdataModuleLink() {
        return bigdataModuleLink == null ? "" : bigdataModuleLink;
    }

    public void setBigdataModuleLink(String bigdataModuleLink) {
        this.bigdataModuleLink = bigdataModuleLink;
    }

    public String getBigdataModuleModuleJson() {
        return bigdataModuleModuleJson == null ? "" : bigdataModuleModuleJson;
    }

    public void setBigdataModuleModuleJson(String bigdataModuleModuleJson) {
        this.bigdataModuleModuleJson = bigdataModuleModuleJson;
    }

    public String getBigdataModuleServerJson() {
        return bigdataModuleServerJson == null ? "" : bigdataModuleServerJson;
    }

    public void setBigdataModuleServerJson(String bigdataModuleServerJson) {
        this.bigdataModuleServerJson = bigdataModuleServerJson;
    }

    public String getBigdataModuleRemark() {
        return bigdataModuleRemark == null ? "" : bigdataModuleRemark;
    }

    public void setBigdataModuleRemark(String bigdataModuleRemark) {
        this.bigdataModuleRemark = bigdataModuleRemark;
    }

    public String getBigdataModuleCode() {
        return bigdataModuleCode == null ? "" : bigdataModuleCode.trim();
    }

    public void setBigdataModuleCode(String bigdataModuleCode) {
        this.bigdataModuleCode = bigdataModuleCode;
    }

    public String getBigdataModulePhoto() {
        return bigdataModulePhoto == null ? "" : bigdataModulePhoto.trim();
    }

    public void setBigdataModulePhoto(String bigdataModulePhoto) {
        this.bigdataModulePhoto = bigdataModulePhoto;
    }

    public String getBigdataModuleName() {
        return bigdataModuleName == null ? "" : bigdataModuleName.trim();
    }

    public void setBigdataModuleName(String bigdataModuleName) {
        this.bigdataModuleName = bigdataModuleName;
    }

    public String getBigdataModuleType() {
        return bigdataModuleType == null ? "" : bigdataModuleType.trim();
    }

    public void setBigdataModuleType(String bigdataModuleType) {
        this.bigdataModuleType = bigdataModuleType;
    }

    public String getBigdataModuleSwitch() {
        return bigdataModuleSwitch == null ? "" : bigdataModuleSwitch.trim();
    }

    public void setBigdataModuleSwitch(String bigdataModuleSwitch) {
        this.bigdataModuleSwitch = bigdataModuleSwitch;
    }

    public String getBigdataModuleContent() {
        return bigdataModuleContent == null ? "" : bigdataModuleContent.trim();
    }

    public void setBigdataModuleContent(String bigdataModuleContent) {
        this.bigdataModuleContent = bigdataModuleContent;
    }


}
